Subject: Re: GNOME: Execution of "gkbd-keyboard-display" failed: Command not found

From: Leo Prikler <[email-masked]>
Date: Wed, 02 Dec 2020 09:26:08 +0100

Hello Chris,

Am Samstag, den 02.04.2016, 14:39 -0700 schrieb Chris Marusich:
> Hi,
> 
> I'm using GuixSD v0.10.0 with GNOME.  In GNOME, when you have enabled
> a
> second keyboard input (via "Settings" > "Region and Language" >
> "Input
> Sources"), if you click on "Show Keyboard Layout" from the keyboard
> input selection drop-down menu in the upper right corner of the GUI,
> the
> following error is displayed on your screen:
> 
> Execution of "gkbd-keyboard-display" failed: Command not found
> 
> I'm guessing this is happening because that command is just not
> present.
> To fix it, do we just need to package up whatever it is that normally
> provides that command?
The bug you're describing concerns an old version of Guix System with
an old version of GNOME.  While the interface has been changed, I
believe, that this might have been fixed at some point between then and
now.  
Using gnome-desktop-service on a fairly up-to-date Guix System,
entering the "Region and Language" settings and clicking on the "eye"
icon of an input source, I do see a keyboard layout being spawned even
without that command being (visibly) provided.

Does the same hold for you? Can this bug be closed?

Regards, Leo